Package Details: python2-qprogedit 3.2.2-1

Git Clone URL: https://aur.archlinux.org/python2-qprogedit.git (read-only)
Package Base: python2-qprogedit
Description: PyQt4 widget that implements a full-featured text editor
Upstream URL: https://github.com/smathot/QProgEdit
Licenses: GPL3
Provides: python2-qprogedit
Submitter: martinc
Maintainer: martinc
Last Packager: martinc
Votes: 3
Popularity: 0.000000
First Submitted: 2014-02-18 17:10
Last Updated: 2016-01-13 11:32

Dependencies (3)

Required by (1)

Sources (1)

Latest Comments

lafurus commented on 2018-03-18 11:33

@martinc thank you, it is installed now :)

martinc commented on 2018-03-17 21:01

@lafarus I think it was just a glitch with GitHub, seems to work fine now

lafurus commented on 2018-03-17 16:31

I think git clone url is broken.

-> Cloning python2-qprogedit git repo... Cloning into bare repository '/tmp/pamac-build-lafurus/python2-qprogedit/python2-qprogedit'... fatal: unable to connect to github.com: github.com[0: 192.30.253.113]: errno=Connection timed out github.com[1: 192.30.253.112]: errno=Connection timed out

==> ERROR: Failure while downloading python2-qprogedit git repo Aborting...

sokuban commented on 2014-07-11 19:27

Thanks.

martinc commented on 2014-07-10 20:43

@sokuban this is a problem with the qscintilla packages which haven't been kept up-to-date with PyQt4 (FS#41103). Solution: Rebuild qscintilla from the ABS. After that, this should build fine.

martinc commented on 2014-07-10 20:42

@sokuban this is a problem with the qscintilla packages which haven't been kept up-to-date with PyQt4 (FS#41103). Solution: Rebuild qscintilla from the ABS. After that, this should build fine.

sokuban commented on 2014-07-10 20:34

Doesn't build.

$ makepkg
==> Making package: python2-qprogedit 1.3.1-1 (Thu Jul 10 16:29:35 EDT 2014)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Updating python2-qprogedit git repo...
Fetching origin
==> Validating source files with md5sums...
python2-qprogedit ... Skipped
==> Extracting sources...
-> Creating working copy of 1.3.1 git repo...
Cloning into 'python2-qprogedit'...
done.
Switched to a new branch 'makepkg'
==> Removing existing pkg/ directory...
==> Starting build()...
==> Entering fakeroot environment...
==> Starting package()...
Traceback (most recent call last):
File "setup.py", line 21, in <module>
from QProgEdit import version
File "/tmp/python2-qprogedit/src/python2-qprogedit/QProgEdit/__init__.py", line 29, in <module>
from _qlexer import QLexer
File "/tmp/python2-qprogedit/src/python2-qprogedit/QProgEdit/_qlexer.py", line 21, in <module>
from PyQt4 import Qsci
ImportError: /usr/lib/python2.7/site-packages/PyQt4/Qsci.so: undefined symbol: _ZTI11QsciPrinter
==> ERROR: A failure occurred in package().
Aborting...